<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderProductReductionCatalogInterface;

/**
 * @method OrderProductReductionCatalogInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderProductReductionCatalogInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderProductReductionCatalogInterface[]    findAll()
 * @method OrderProductReductionCatalogInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderProductReductionCatalogRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderProductReductionCatalogInterface::class);
    }
}
