<?php

namespace Lc\CaracoleBundle\Repository\PointSale;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\PointSale\PointSaleDayInfoInterface;

/**
 * @method PointSaleDayInfoInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method PointSaleDayInfoInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method PointSaleDayInfoInterface[]    findAll()
 * @method PointSaleDayInfoInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class PointSaleDayInfoRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, PointSaleDayInfoInterface::class);
    }
}
