<?php

namespace Lc\CaracoleBundle\Repository\Credit;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Credit\CreditConfigInterface;

/**
 * @method CreditConfigInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method CreditConfigInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method CreditConfigInterface[]    findAll()
 * @method CreditConfigInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CreditConfigRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, CreditConfigInterface::class);
    }
}
