<?php

namespace Lc\CaracoleBundle\Repository\Merchant;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Merchant\MerchantConfigInterface;

/**
 * @method MerchantConfigInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method MerchantConfigInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method MerchantConfigInterface[]    findAll()
 * @method MerchantConfigInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MerchantConfigRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, MerchantConfigInterface::class);
    }
}
