<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderRefundInterface;

/**
 * @method OrderRefundInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderRefundInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderRefundInterface[]    findAll()
 * @method OrderRefundInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderProductRefundRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderRefundInterface::class);
    }
}
